package com.uavps.system.domain.dto;

import java.math.BigDecimal;

public class CustomizedMultiTargetFormationDTO {
    private Integer number;
    private BigDecimal longitude;
    private BigDecimal latitude;
    private BigDecimal altitude;
    private BigDecimal eastSpeed;
    private BigDecimal northSpeed;
    private BigDecimal skySpeed;
    private String flightPathType;
    private BigDecimal positionNoise;

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public BigDecimal getAltitude() {
        return altitude;
    }

    public void setAltitude(BigDecimal altitude) {
        this.altitude = altitude;
    }

    public BigDecimal getEastSpeed() {
        return eastSpeed;
    }

    public void setEastSpeed(BigDecimal eastSpeed) {
        this.eastSpeed = eastSpeed;
    }

    public BigDecimal getNorthSpeed() {
        return northSpeed;
    }

    public void setNorthSpeed(BigDecimal northSpeed) {
        this.northSpeed = northSpeed;
    }

    public BigDecimal getSkySpeed() {
        return skySpeed;
    }

    public void setSkySpeed(BigDecimal skySpeed) {
        this.skySpeed = skySpeed;
    }

    public String getFlightPathType() {
        return flightPathType;
    }

    public void setFlightPathType(String flightPathType) {
        this.flightPathType = flightPathType;
    }

    public BigDecimal getPositionNoise() {
        return positionNoise;
    }

    public void setPositionNoise(BigDecimal positionNoise) {
        this.positionNoise = positionNoise;
    }
}
